<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/auth/index.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../index.html">all files</a> / <a href="index.html">src/auth/</a> index.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>0/21</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/8</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/4</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>0/21</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">import {SET_AUTHORIZED} from '@/store/mutation-types'
&nbsp;
export default {
  user: {
    authenticated: false
  },
&nbsp;
  addHeaders (context) {
<span class="cstat-no" title="statement not covered" >    context.$http.interceptors.request.use(function (config) <span class="fstat-no" title="function not covered" >{</span></span>
      let token = <span class="cstat-no" title="statement not covered" >localStorage.getItem('token')</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >      if (token) {</span>
<span class="cstat-no" title="statement not covered" >        config.headers.common['Authorization'] = 'Bearer ' + token</span>
<span class="cstat-no" title="statement not covered" >        config.headers.common['Access-Control-Allow-Origin'] = '*'</span>
      } else {
        // Use application/x-www-form-urlencoded for login
<span class="cstat-no" title="statement not covered" >        config.headers.common['Content-Type'] = 'application/x-www-form-urlencoded'</span>
      }
&nbsp;
<span class="cstat-no" title="statement not covered" >      return config</span>
    }, function (error) <span class="fstat-no" title="function not covered" >{</span>
      // Do something with request error
<span class="cstat-no" title="statement not covered" >      return Promise.reject(error)</span>
    })
  },
&nbsp;
  login (url, context, creds, redirect) {
<span class="cstat-no" title="statement not covered" >    context.$http.post(url, creds)</span>
      .then((response) =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >        context.$store.commit(SET_AUTHORIZED)</span>
<span class="cstat-no" title="statement not covered" >        localStorage.setItem('token', response.data.result.token)</span>
<span class="cstat-no" title="statement not covered" >        localStorage.setItem('token_expire', response.data.result.token_expire)</span>
        // context.$store.commit('setAuthorized')
        // context.$store.commit('setToken', response.body.data.access_token)
<span class="cstat-no" title="statement not covered" >        if (redirect) {</span>
<span class="cstat-no" title="statement not covered" >          context.$router.push('/profile')</span>
        }
      })
      .catch(err =&gt; <span class="fstat-no" title="function not covered" >{</span>
<span class="cstat-no" title="statement not covered" >        context.$validator.errors.add('login', 'Пара имя пользователь/пароль не найдена')</span>
<span class="cstat-no" title="statement not covered" >        context.$store.commit('SET_ERRORS', [{name: 'login_error', message: err.response.data.errors.description}])</span>
      })
  },
&nbsp;
  logout () {
<span class="cstat-no" title="statement not covered" >    localStorage.removeItem('token')</span>
<span class="cstat-no" title="statement not covered" >    localStorage.removeItem('token_expire')</span>
    // store.commit('unsetAuthorized')
    // store.commit('unsetToken')
    // store.commit('unsetUser')
  },
&nbsp;
  checkAuth () {
    const jwt = <span class="cstat-no" title="statement not covered" >localStorage.getItem('authorized')</span>
    const user = <span class="cstat-no" title="statement not covered" >JSON.parse(localStorage.getItem('wb_user'))</span>
<span class="cstat-no" title="statement not covered" >    if (jwt &amp;&amp; user) {</span>
      // тут проверяем валидность токена
      // store.commit('setAuthorized')
      // store.commit('setUser', user)
    } else {
      // отправляем логиницо
      // store.commit('unsetAuthorized')
      // store.commit('unsetUser')
    }
  }
}
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../sorter.js"></script>
</body>
</html>
